#
# spec file for package misfortune
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name misfortune
Name:           %{pkg_name}
Version:        0.1.1.2
Release:        lp150.1.14
Summary:        Fortune-mod clone
License:        SUSE-Public-Domain
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{name}
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cereal-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-knob-devel
BuildRequires:  ghc-monad-loops-devel
BuildRequires:  ghc-random-fu-devel
BuildRequires:  ghc-regex-base-devel
BuildRequires:  ghc-regex-pcre-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-semigroups-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-vector-devel

%description
Fortune-mod clone, in library and executable form.

%package -n ghc-%{name}
Summary:        Haskell %{name} library
Group:          System/Libraries

%description -n ghc-%{name}
This package provides the Haskell %{name} shared library.

%package -n ghc-%{name}-devel
Summary:        Haskell %{name} library development files
Group:          Development/Libraries/Haskell
Requires:       ghc-%{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description -n ghc-%{name}-devel
This package provides the Haskell %{name} library development files.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install

%post -n ghc-%{name}-devel
%ghc_pkg_recache

%postun -n ghc-%{name}-devel
%ghc_pkg_recache

%files
%{_bindir}/%{name}
%{_bindir}/misfortune-strfile
%dir %{_datadir}/%{name}-%{version}
%dir %{_datadir}/%{name}-%{version}/data
%dir %{_datadir}/%{name}-%{version}/data/normal
%dir %{_datadir}/%{name}-%{version}/data/normal/lambdabot
%dir %{_datadir}/%{name}-%{version}/data/offensive
%dir %{_datadir}/%{name}-%{version}/data/offensive/lambdabot
%dir %{_datadir}/%{name}-%{version}/data/normal/fortune-mod
%dir %{_datadir}/%{name}-%{version}/data/offensive/fortune-mod
%{_datadir}/%{name}-%{version}/README.md
%{_datadir}/%{name}-%{version}/README.fortune-mod.md
%{_datadir}/%{name}-%{version}/README.lambdabot.md
%{_datadir}/%{name}-%{version}/data/normal/*.ix
%{_datadir}/%{name}-%{version}/data/normal/bash
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/*.ix
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/arr
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/b52s
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/brain
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/farber
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/ghc
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/girl19
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/keal
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/notoriousV
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/palomer
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/pinky
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/pinky-pondering
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/protontorpedo
%{_datadir}/%{name}-%{version}/data/normal/lambdabot/stewie
%{_datadir}/%{name}-%{version}/data/normal/*.ix
%{_datadir}/%{name}-%{version}/data/offensive/*.ix
%{_datadir}/%{name}-%{version}/data/offensive/bash
%{_datadir}/%{name}-%{version}/data/offensive/lambdabot/*.ix
%{_datadir}/%{name}-%{version}/data/offensive/lambdabot/nixon
%{_datadir}/%{name}-%{version}/data/offensive/lambdabot/yarr
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/*.ix
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/art
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/ascii-art
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/computers
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/cookie
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/definitions
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/drugs
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/education
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/ethnic
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/food
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/fortunes
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/goedel
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/humorists
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/kids
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/law
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/linuxcookie
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/literature
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/love
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/magic
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/medicine
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/men-women
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/miscellaneous
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/news
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/people
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/pets
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/platitudes
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/politics
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/riddles
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/science
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/songs-poems
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/sports
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/startrek
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/translate-me
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/wisdom
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/work
%{_datadir}/%{name}-%{version}/data/normal/fortune-mod/zippy
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/*.ix
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/astrology
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/black-humor
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/definitions
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/drugs
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/ethnic
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/hphobia
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/limerick
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/misandry
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/miscellaneous
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/misogyny
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/politics
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/privates
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/racism
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/religion
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/riddles
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/sex
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/songs-poems
%{_datadir}/%{name}-%{version}/data/offensive/fortune-mod/vulgarity

%files -n ghc-%{name} -f ghc-%{name}.files

%files -n ghc-%{name}-devel -f ghc-%{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jul 18 2016 psimons@suse.com
- Update to version 0.1.1.2 revision 0 with cabal2obs.
